Get On-Call Page
https://api.datadoghq.com/api/v2/on-call/pages/{page_id}https://api.us3.datadoghq.com/api/v2/on-call/pages/{page_id}https://api.us5.datadoghq.com/api/v2/on-call/pages/{page_id}https://api.datadoghq.eu/api/v2/on-call/pages/{page_id}https://api.ap1.datadoghq.com/api/v2/on-call/pages/{page_id}https://api.ap2.datadoghq.com/api/v2/on-call/pages/{page_id}https://api.uk1.datadoghq.com/api/v2/on-call/pages/{page_id}https://api.ddog-gov.com/api/v2/on-call/pages/{page_id}https://api.us2.ddog-gov.com/api/v2/on-call/pages/{page_id}Overview
Get the details of an On-Call Page.
Arguments
Path Parameters
page_id [required]The ID of the Page, or its key.
Response
OK
A single On-Call Page with its related included resources.
data [required]An On-Call Page.
attributesThe attributes of an On-Call Page.
acknowledged_atThe time when the Page was first acknowledged.
closed_atThe time when the Page was resolved.
comment_countThe number of comments on the Page.
created_at [required]The time when the Page was created.
description [required]A short summary of the issue or context.
escalation_policy_uuidThe ID of the escalation policy used to route the Page.
key [required]An alternative numeric identifier of the Page, as displayed in the Datadog UI.
live_callLive call information for a Page triggered by a live call route.
call_overInformation about a live call that has ended.
outcomeThe outcome of a live call that has ended.
success_call_answered, failure_no_responder, failure_caller_abandoned, failure_outside_support_hours, failure_internal_errorsupport_hours_start_atWhen support hours start, if the call was placed outside support hours.
modified_atThe time when the Page was last modified.
release_atThe time when the snooze ends. Only set while the Page is snoozed, together with release_origin.
release_originWhat snoozed the Page. Only set while the Page is snoozed, together with release_at.
ack_timeout: the acknowledgment timeout. team_rules_active_hours: the Page was
triggered outside of the active hours of the team's routing rules. manual_snooze:
a user snoozed the Page.
ack_timeout, team_rules_active_hours, manual_snoozeresponders_added_atThe time when responders were first added to the Page.
servicesThe services associated with the Page.
status [required]The current status of the On-Call Page.
triggered, acknowledged, resolvedtags [required]Tags associated with the Page.
title [required]The title of the Page.
urgency [required]On-Call Page urgency level.
highlow, highid [required]The unique ID of the Page.
relationshipsThe relationships of an On-Call Page.
authorReference to the entity that performed an action on the Page.
dataReference to the author of a Page action.
id [required]The ID of the author.
type [required]The resource type of the author, for example users, monitors,
incident_authors, or security_signal.
closed_byReference to the entity that performed an action on the Page.
dataReference to the author of a Page action.
id [required]The ID of the author.
type [required]The resource type of the author, for example users, monitors,
incident_authors, or security_signal.
jira_issueThe Jira issue linked to the Page.
dataReference to a Jira issue.
id [required]The ID of the Jira issue, in the form <account_id>:<issue_id>.
type [required]Jira issue resource type.
jira_issuesjira_issueslinksLinks between the Page and other Datadog resources, such as incidents. Always empty when listing Pages.
dataThe list of Page links.
id [required]The ID of the link.
type [required]Page link resource type.
linkslinksrespondersThe users responding to the Page.
dataThe list of responders.
id [required]The user ID.
type [required]Users resource type.
usersusersscheduled_actionThe next action scheduled on the Page, such as an escalation.
dataReference to the next scheduled action on the Page.
id [required]The ID of the scheduled action. Equal to the Page ID.
type [required]Scheduled action resource type.
scheduled_actionsscheduled_actionsservice_now_incidentThe ServiceNow incident linked to the Page.
dataReference to a ServiceNow incident.
id [required]The ID of the ServiceNow incident.
type [required]ServiceNow incident resource type.
service_now_incidentsservice_now_incidentstargetThe team, user, or cross-organization handle that was paged.
dataReference to the target of the Page.
id [required]The ID of the target.
type [required]The resource type of the Page target.
teams, users, cross_org_handlesteam_routing_ruleThe team routing rule that matched the Page.
dataReference to a team routing rule.
id [required]The ID of the team routing rule.
type [required]Indicates that the resource is of type team_routing_rules.
team_routing_rulesteam_routing_rulestype [required]Indicates that the resource is of type pages.
pagespagesincludedResources related to the Page, such as users, teams, scheduled actions, and links.
<type=users>Represents a user object in the context of a schedule, including their id, type, and basic attributes.
attributesProvides basic user information for a schedule, including a name and email address.
colorThe user's on-call color, as a hex code (for example, #FF0000). Included only when user.color is requested in the include parameter.
emailThe user's email address.
nameThe user's name.
statusThe user's status.
active, deactivated, pendingid [required]The unique user identifier.
type [required]Users resource type.
usersusers<type=teams>Provides a reference to a team, including ID, type, and basic attributes/relationships.
attributesEncapsulates the basic attributes of a Team reference, such as name, handle, and an optional avatar or description.
avatarURL or reference for the team's avatar (if available).
descriptionA short text describing the team.
handleA unique handle/slug for the team.
nameThe full, human-readable name of the team.
idThe team's unique identifier.
type [required]Teams resource type.
teamsteams<type=scheduled_actions>The next action scheduled on a Page, such as an escalation or an automatic resolution.
attributesThe attributes of a scheduled action.
atThe time when the action is scheduled to run.
typeThe kind of action that is scheduled.
escalate, resolve, release, retriggerid [required]The ID of the scheduled action. Equal to the Page ID.
relationshipsThe relationships of a scheduled action.
schedulesThe schedules the action escalates to.
dataThe list of schedules.
id [required]The schedule ID.
type [required]Schedules resource type.
schedulesschedulesusersThe users the action escalates to.
dataThe list of users.
id [required]The user ID.
type [required]Users resource type.
usersuserstype [required]Scheduled action resource type.
scheduled_actionsscheduled_actions<type=links>A link between a Page and another Datadog resource, such as an incident.
attributesThe attributes of a Page link. A Page can be the child of another Datadog resource (for example, when an incident triggers it), or the parent of one (for example, when the Page is escalated to an incident).
child_entity_id [required]The ID of the child resource.
child_entity_type [required]The type of a resource linked to a Page.
case, incident, page, agent_conversationparent_entity_id [required]The ID of the parent resource.
parent_entity_type [required]The type of a resource linked to a Page.
case, incident, page, agent_conversationrelationship [required]How the parent resource relates to the child resource.
relates_to, causes, blocks, duplicates, parent_of, successor_of, escalates_to, pagesid [required]The ID of the link.
type [required]Page link resource type.
linkslinks{
"data": {
"attributes": {
"acknowledged_at": "2026-01-01T10:05:00Z",
"closed_at": "2026-01-01T10:30:00Z",
"comment_count": 2,
"created_at": "2026-01-01T10:00:00Z",
"description": "Page details.",
"escalation_policy_uuid": "00000000-0000-0000-0000-000000000000",
"key": "25137717",
"live_call": {
"call_over": {
"outcome": "success_call_answered",
"support_hours_start_at": "2026-01-01T09:00:00Z"
}
},
"modified_at": "2026-01-01T10:30:00Z",
"release_at": "2026-01-01T11:00:00Z",
"release_origin": "manual_snooze",
"responders_added_at": "2026-01-01T10:01:00Z",
"services": [
"service-a"
],
"status": "triggered",
"tags": [
"service:test"
],
"title": "Service: Test is down",
"urgency": "high"
},
"id": "15e74b8b-f865-48d0-bcc5-453323ed2c8f",
"relationships": {
"author": {
"data": {
"id": "00000000-0000-0000-0000-000000000000",
"type": "users"
}
},
"closed_by": {
"data": {
"id": "00000000-0000-0000-0000-000000000000",
"type": "users"
}
},
"jira_issue": {
"data": {
"id": "123456:10001",
"type": "jira_issues"
}
},
"links": {
"data": [
{
"id": "00000000-0000-0000-0000-000000000003",
"type": "links"
}
]
},
"responders": {
"data": [
{
"id": "00000000-0000-0000-0000-000000000000",
"type": "users"
}
]
},
"scheduled_action": {
"data": {
"id": "15e74b8b-f865-48d0-bcc5-453323ed2c8f",
"type": "scheduled_actions"
}
},
"service_now_incident": {
"data": {
"id": "00000000-0000-0000-0000-000000000000",
"type": "service_now_incidents"
}
},
"target": {
"data": {
"id": "00000000-da3a-0000-0000-000000000000",
"type": "teams"
}
},
"team_routing_rule": {
"data": {
"id": "00000000-0000-0000-0000-000000000000",
"type": "team_routing_rules"
}
}
},
"type": "pages"
},
"included": [
{
"attributes": {
"color": "#FF0000",
"email": "jane.doe@example.com",
"name": "Jane Doe",
"status": "string"
},
"id": "00000000-0000-0000-0000-000000000000",
"type": "users"
}
]
}Unauthorized
API error response.
errors [required]A list of errors.
{
"errors": [
"Bad Request"
]
}Forbidden
API error response.
errors [required]A list of errors.
{
"errors": [
"Bad Request"
]
}Not Found
API error response.
errors [required]A list of errors.
detailA human-readable explanation specific to this occurrence of the error.
metaNon-standard meta-information about the error
sourceReferences to the source of the error.
headerA string indicating the name of a single request header which caused the error.
parameterA string indicating which URI query parameter caused the error.
pointerA JSON pointer to the value in the request document that caused the error.
statusStatus code of the response.
titleShort human-readable summary of the error.
{
"errors": [
{
"detail": "Missing required attribute in body",
"meta": {},
"source": {
"header": "Authorization",
"parameter": "limit",
"pointer": "/data/attributes/title"
},
"status": "400",
"title": "Bad Request"
}
]
}Too many requests
API error response.
errors [required]A list of errors.
{
"errors": [
"Bad Request"
]
}Code Example
# Path parameters
export page_id="15e74b8b-f865-48d0-bcc5-453323ed2c8f"
# Set your Datadog site and credentials
export DD_SITE="datadoghq.com"
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"
curl -X GET "https://api.${DD_SITE}/api/v2/on-call/pages/${page_id}" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}"# Path parameters
export page_id="15e74b8b-f865-48d0-bcc5-453323ed2c8f"
# Set your Datadog site and credentials
export DD_SITE="us3.datadoghq.com"
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"
curl -X GET "https://api.${DD_SITE}/api/v2/on-call/pages/${page_id}" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}"# Path parameters
export page_id="15e74b8b-f865-48d0-bcc5-453323ed2c8f"
# Set your Datadog site and credentials
export DD_SITE="us5.datadoghq.com"
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"
curl -X GET "https://api.${DD_SITE}/api/v2/on-call/pages/${page_id}" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}"# Path parameters
export page_id="15e74b8b-f865-48d0-bcc5-453323ed2c8f"
# Set your Datadog site and credentials
export DD_SITE="datadoghq.eu"
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"
curl -X GET "https://api.${DD_SITE}/api/v2/on-call/pages/${page_id}" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}"# Path parameters
export page_id="15e74b8b-f865-48d0-bcc5-453323ed2c8f"
# Set your Datadog site and credentials
export DD_SITE="ap1.datadoghq.com"
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"
curl -X GET "https://api.${DD_SITE}/api/v2/on-call/pages/${page_id}" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}"# Path parameters
export page_id="15e74b8b-f865-48d0-bcc5-453323ed2c8f"
# Set your Datadog site and credentials
export DD_SITE="ap2.datadoghq.com"
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"
curl -X GET "https://api.${DD_SITE}/api/v2/on-call/pages/${page_id}" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}"# Path parameters
export page_id="15e74b8b-f865-48d0-bcc5-453323ed2c8f"
# Set your Datadog site and credentials
export DD_SITE="uk1.datadoghq.com"
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"
curl -X GET "https://api.${DD_SITE}/api/v2/on-call/pages/${page_id}" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}"# Path parameters
export page_id="15e74b8b-f865-48d0-bcc5-453323ed2c8f"
# Set your Datadog site and credentials
export DD_SITE="ddog-gov.com"
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"
curl -X GET "https://api.${DD_SITE}/api/v2/on-call/pages/${page_id}" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}"# Path parameters
export page_id="15e74b8b-f865-48d0-bcc5-453323ed2c8f"
# Set your Datadog site and credentials
export DD_SITE="us2.ddog-gov.com"
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"
curl -X GET "https://api.${DD_SITE}/api/v2/on-call/pages/${page_id}" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}"